Show / Hide Table of Contents

# Struct AddonTeleport

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AddonTeleport

### Fields

| Improve this Doc View Source

#### Addon

##### Declaration

    public AddonTeleport*Addon

##### Field Value

Type | Description
--- | ---
AddonTeleport* |

| Improve this Doc View Source

#### AetheryteTicketsText

##### Declaration

    public AtkTextNode*AetheryteTicketsText

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### AtkUnitBase

##### Declaration

    public AtkUnitBase AtkUnitBase

##### Field Value

Type | Description
--- | ---
AtkUnitBase |

| Improve this Doc View Source

#### GilCountText

##### Declaration

    public AtkTextNode*GilCountText

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### ListTotalCount

##### Declaration

    public uint ListTotalCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SelectedTab

##### Declaration

    public uint SelectedTab

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SelectedTabItemCount

##### Declaration

    public uint SelectedTabItemCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SettingsButton

##### Declaration

    public AtkComponentButton*SettingsButton

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |

| Improve this Doc View Source

#### TabHeaderAll

##### Declaration

    public AtkComponentRadioButton*TabHeaderAll

##### Field Value

Type | Description
--- | ---
AtkComponentRadioButton* |

| Improve this Doc View Source

#### TabHeaderBlackShroud

##### Declaration

    public AtkComponentRadioButton*TabHeaderBlackShroud

##### Field Value

Type | Description
--- | ---
AtkComponentRadioButton* |

| Improve this Doc View Source

#### TabHeaderFarEast

##### Declaration

    public AtkComponentRadioButton*TabHeaderFarEast

##### Field Value

Type | Description
--- | ---
AtkComponentRadioButton* |

| Improve this Doc View Source

#### TabHeaderFavourite

##### Declaration

    public AtkComponentRadioButton*TabHeaderFavourite

##### Field Value

Type | Description
--- | ---
AtkComponentRadioButton* |

| Improve this Doc View Source

#### TabHeaderGyrAbania

##### Declaration

    public AtkComponentRadioButton*TabHeaderGyrAbania

##### Field Value

Type | Description
--- | ---
AtkComponentRadioButton* |

| Improve this Doc View Source

#### TabHeaderHistory

##### Declaration

    public AtkComponentRadioButton*TabHeaderHistory

##### Field Value

Type | Description
--- | ---
AtkComponentRadioButton* |

| Improve this Doc View Source

#### TabHeaderIlsabard

##### Declaration

    public AtkComponentRadioButton*TabHeaderIlsabard

##### Field Value

Type | Description
--- | ---
AtkComponentRadioButton* |

| Improve this Doc View Source

#### TabHeaderIshgard

##### Declaration

    public AtkComponentRadioButton*TabHeaderIshgard

##### Field Value

Type | Description
--- | ---
AtkComponentRadioButton* |

| Improve this Doc View Source

#### TabHeaderLaNoscea

##### Declaration

    public AtkComponentRadioButton*TabHeaderLaNoscea

##### Field Value

Type | Description
--- | ---
AtkComponentRadioButton* |

| Improve this Doc View Source

#### TabHeaderNorvandt

##### Declaration

    public AtkComponentRadioButton*TabHeaderNorvandt

##### Field Value

Type | Description
--- | ---
AtkComponentRadioButton* |

| Improve this Doc View Source

#### TabHeaderOther

##### Declaration

    public AtkComponentRadioButton*TabHeaderOther

##### Field Value

Type | Description
--- | ---
AtkComponentRadioButton* |

| Improve this Doc View Source

#### TabHeaderThanalan

##### Declaration

    public AtkComponentRadioButton*TabHeaderThanalan

##### Field Value

Type | Description
--- | ---
AtkComponentRadioButton* |

| Improve this Doc View Source

#### TeleportTreeList

##### Declaration

    public AtkComponentTreeList*TeleportTreeList

##### Field Value

Type | Description
--- | ---
AtkComponentTreeList* |

| Improve this Doc View Source

#### TeleportTreeListFirstHeader

##### Declaration

    public AtkComponentListItemRenderer*TeleportTreeListFirstHeader

##### Field Value

Type | Description
--- | ---
AtkComponentListItemRenderer* |

| Improve this Doc View Source

#### TeleportTreeListFirstItem

##### Declaration

    public AtkComponentListItemRenderer*TeleportTreeListFirstItem

##### Field Value

Type | Description
--- | ---
AtkComponentListItemRenderer* |

| Improve this Doc View Source

#### Unknown2D4

##### Declaration

    public uint Unknown2D4

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### UnknownFunction

##### Declaration

    public delegate*<void*, AddonTeleport*, void*> UnknownFunction

##### Field Value

Type | Description
--- | ---
delegate*<System.Void*, AddonTeleport*, System.Void*> |

| Improve this Doc View Source

#### UnknownVtbl

##### Declaration

    public void *UnknownVtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

### Methods

| Improve this Doc View Source

#### ChangeTab(UInt32)

##### Declaration

    public bool ChangeTab(uint tabIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | tabIndex |

##### Returns

Type | Description
--- | ---
System.Boolean |